package com.wyattjmiller.repositories

import com.wyattjmiller.entities.Recipe

interface RecipeRepository {
    fun getAllRecipies() : List<Recipe>
    fun getRecipe(id: Int) : Recipe?
    fun createRecipe(recipe: Recipe)
    fun updateRecipe(id: Int, recipe: Recipe): Boolean
    fun deleteRecipe(id: Int)
}